App\Library\Amazon\Classes\LuxuryBeauty:
    xml_root_name: LuxuryBeauty
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: string
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\LuxuryBeauty\VariationDataAType
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        unitCount:
            expose: true
            access_type: public_method
            serialized_name: UnitCount
            accessor:
                getter: getUnitCount
                setter: setUnitCount
            type: App\Library\Amazon\Classes\LuxuryBeauty\UnitCountAType
        styleName:
            expose: true
            access_type: public_method
            serialized_name: StyleName
            accessor:
                getter: getStyleName
                setter: setStyleName
            type: string
        colorSpecification:
            expose: true
            access_type: public_method
            serialized_name: ColorSpecification
            accessor:
                getter: getColorSpecification
                setter: setColorSpecification
            type: App\Library\Amazon\Classes\LuxuryBeauty\ColorSpecificationAType
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        eachUnitCount:
            expose: true
            access_type: public_method
            serialized_name: EachUnitCount
            accessor:
                getter: getEachUnitCount
                setter: setEachUnitCount
            type: integer
        scentName:
            expose: true
            access_type: public_method
            serialized_name: ScentName
            accessor:
                getter: getScentName
                setter: setScentName
            type: string
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            xml_list:
                inline: true
                entry_name: MaterialType
            type: array<string>
        finish:
            expose: true
            access_type: public_method
            serialized_name: Finish
            accessor:
                getter: getFinish
                setter: setFinish
            type: string
        targetGender:
            expose: true
            access_type: public_method
            serialized_name: TargetGender
            accessor:
                getter: getTargetGender
                setter: setTargetGender
            type: string
        itemForm:
            expose: true
            access_type: public_method
            serialized_name: ItemForm
            accessor:
                getter: getItemForm
                setter: setItemForm
            type: string
        flavor:
            expose: true
            access_type: public_method
            serialized_name: Flavor
            accessor:
                getter: getFlavor
                setter: setFlavor
            type: string
        specialty:
            expose: true
            access_type: public_method
            serialized_name: Specialty
            accessor:
                getter: getSpecialty
                setter: setSpecialty
            type: string
        specificUsesForProduct:
            expose: true
            access_type: public_method
            serialized_name: SpecificUsesForProduct
            accessor:
                getter: getSpecificUsesForProduct
                setter: setSpecificUsesForProduct
            type: string
        coverage:
            expose: true
            access_type: public_method
            serialized_name: Coverage
            accessor:
                getter: getCoverage
                setter: setCoverage
            type: string
        sunProtection:
            expose: true
            access_type: public_method
            serialized_name: SunProtection
            accessor:
                getter: getSunProtection
                setter: setSunProtection
            type: App\Library\Amazon\Classes\SunProtectionDimensionType
        skinType:
            expose: true
            access_type: public_method
            serialized_name: SkinType
            accessor:
                getter: getSkinType
                setter: setSkinType
            xml_list:
                inline: true
                entry_name: SkinType
            type: array<string>
        hairType:
            expose: true
            access_type: public_method
            serialized_name: HairType
            accessor:
                getter: getHairType
                setter: setHairType
            xml_list:
                inline: true
                entry_name: HairType
            type: array<string>
        directions:
            expose: true
            access_type: public_method
            serialized_name: Directions
            accessor:
                getter: getDirections
                setter: setDirections
            type: string
        ingredients:
            expose: true
            access_type: public_method
            serialized_name: Ingredients
            accessor:
                getter: getIngredients
                setter: setIngredients
            type: string
        indications:
            expose: true
            access_type: public_method
            serialized_name: Indications
            accessor:
                getter: getIndications
                setter: setIndications
            type: string
        includedComponents:
            expose: true
            access_type: public_method
            serialized_name: IncludedComponents
            accessor:
                getter: getIncludedComponents
                setter: setIncludedComponents
            xml_list:
                inline: true
                entry_name: IncludedComponents
            type: array<string>
        plugFormat:
            expose: true
            access_type: public_method
            serialized_name: PlugFormat
            accessor:
                getter: getPlugFormat
                setter: setPlugFormat
            type: string
        powerSourceType:
            expose: true
            access_type: public_method
            serialized_name: PowerSourceType
            accessor:
                getter: getPowerSourceType
                setter: setPowerSourceType
            type: string
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: App\Library\Amazon\Classes\VoltageDecimalDimensionType
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\WattageDimensionType
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: App\Library\Amazon\Classes\TimeDimensionType
        batteryCellType:
            expose: true
            access_type: public_method
            serialized_name: BatteryCellType
            accessor:
                getter: getBatteryCellType
                setter: setBatteryCellType
            type: string
        batteryChargeTime:
            expose: true
            access_type: public_method
            serialized_name: BatteryChargeTime
            accessor:
                getter: getBatteryChargeTime
                setter: setBatteryChargeTime
            type: App\Library\Amazon\Classes\TimeDimensionType
        batteryFormFactor:
            expose: true
            access_type: public_method
            serialized_name: BatteryFormFactor
            accessor:
                getter: getBatteryFormFactor
                setter: setBatteryFormFactor
            type: string
        batteryPower:
            expose: true
            access_type: public_method
            serialized_name: BatteryPower
            accessor:
                getter: getBatteryPower
                setter: setBatteryPower
            type: App\Library\Amazon\Classes\BatteryPowerIntegerDimensionType
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: App\Library\Amazon\Classes\EnergyConsumptionDimensionType
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: \AnyType
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: App\Library\Amazon\Classes\VoltageDecimalDimensionType
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        awardsWon:
            expose: true
            access_type: public_method
            serialized_name: AwardsWon
            accessor:
                getter: getAwardsWon
                setter: setAwardsWon
            xml_list:
                inline: true
                entry_name: AwardsWon
            type: array<string>
